Package ru.bitel.bgbilling.modules.card.common.bean

# Class DealerPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.card.common.bean.DealerPayment

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class DealerPayment
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `STATUS_CANCELED` |
  `static int` | `STATUS_DELETED` | Удален сам платеж (не отменен через систему)
  `static int` | `STATUS_PAYED` |

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DealerPayment()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `equalz​(DealerPayment pay)` |
  `java.lang.String` | `getContractComment()` |
  `int` | `getContractId()` |
  `int` | `getContractID()` | Deprecated.
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getDateTime()` |
  `int` | `getDealerId()` |
  `java.lang.String` | `getDealerTitle()` |
  `java.lang.String` | `getPaymentComment()` |
  `int` | `getPaymentId()` |
  `int` | `getPaymentType()` |
  `int` | `getStatus()` |
  `java.math.BigDecimal` | `getSumma()` |
  `java.lang.String` | `getTransId()` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractID​(int contractId)` | Deprecated.
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDateTime​(java.util.Date date)` |
  `void` | `setDealerId​(int dealerId)` |
  `void` | `setDealerTitle​(java.lang.String dealerTitle)` |
  `void` | `setPaymentComment​(java.lang.String comment)` |
  `void` | `setPaymentId​(int id)` |
  `void` | `setPaymentType​(int paymentType)` |
  `void` | `setStatus​(int status)` |
  `void` | `setSumma​(java.math.BigDecimal summa)` |
  `void` | `setTransId​(java.lang.String transId)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_PAYED

    public static final int STATUS_PAYED
    See Also:
      Constant Field Values

  - ### STATUS_CANCELED

    public static final int STATUS_CANCELED
    See Also:
      Constant Field Values

  - ### STATUS_DELETED

    public static final int STATUS_DELETED
    Удален сам платеж (не отменен через систему)
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DealerPayment

    public DealerPayment()

- ## Method Details

  - ### getDealerTitle

    public java.lang.String getDealerTitle()

  - ### setDealerTitle

    public void setDealerTitle​(java.lang.String dealerTitle)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getPaymentComment

    public java.lang.String getPaymentComment()

  - ### setPaymentComment

    public void setPaymentComment​(java.lang.String comment)

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать `getContractId()`.
    Returns:

  - ### setContractId

    public void setContractId​(int contractId)

  - ### setContractID

    @Deprecated public void setContractID​(int contractId)
    Deprecated.
    Использовать `getContractId()`.
    Parameters:
      `contractId` -

  - ### getDateTime

    public java.util.Date getDateTime()

  - ### setDateTime

    public void setDateTime​(java.util.Date date)

  - ### getPaymentId

    public int getPaymentId()

  - ### setPaymentId

    public void setPaymentId​(int id)

  - ### getSumma

    public java.math.BigDecimal getSumma()

  - ### setSumma

    public void setSumma​(java.math.BigDecimal summa)

  - ### getTransId

    public java.lang.String getTransId()

  - ### setTransId

    public void setTransId​(java.lang.String transId)

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public void setDealerId​(int dealerId)

  - ### equalz

    public int equalz​(DealerPayment pay)

  - ### getPaymentType

    public int getPaymentType()

  - ### setPaymentType

    public void setPaymentType​(int paymentType)